package com.example.bean.validation;

import java.util.ArrayList;
import javax.validation.Valid;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Pattern;
import javax.validation.constraints.Size;
import java.util.List;

public class SomeEntity {

  @Size(max = 10, min = 3, message = "insert 3 - 10 characters")
  private String a = "aaa";

  @Pattern(regexp = "[a-z0-9]+", message = "{invalidRegexB}")
  private String b = "b123";
  private String c;

  @NotNull
  @Valid
  private SomeEntity nestedEntity;

  @Valid
  private List<SomeEntity> nestedEntities = new ArrayList<>();

  public String getA() {
    return a;
  }

  public void setA(String a) {
    this.a = a;
  }

  public String getB() {
    return b;
  }

  public void setB(String b) {
    this.b = b;
  }

  public String getC() {
    return c;
  }

  public void setC(String c) {
    this.c = c;
  }

  public SomeEntity getNestedEntity() {
    return nestedEntity;
  }

  public void setNestedEntity(SomeEntity nestedEntity) {
    this.nestedEntity = nestedEntity;
  }

  public List<SomeEntity> getNestedEntities() {
    return nestedEntities;
  }

  public void setNestedEntities(List<SomeEntity> nestedEntities) {
    this.nestedEntities = nestedEntities;
  }

}
